Skip to main content
The API supports a variety of different ways to filter the results returned by the API.

Filter by content type

By default, a search returns items for which either the name, description, file content, tags, or comments match the query provided. By setting the content_types parameter the search can be narrowed down to only the items that match the query for the content type defined.

Filter by date

By default, search returns files created at any time, and updated at any time. It is possible to filter results by both the date the file or folder was last updated or when it was created.

Filter by file extension

By default, a search returns items with any kind of file extension. It is possible to filter search results to only files with one or more specific file extensions using the file_extensions query parameter.

Filter by file size

By default, a search returns items of any file size. It is possible to filter search results to only files within a specific file size using the size_range query parameter.

Filter by file type

By default, a search returns both files, folders, and web links. To narrow down the results to only one of these, a type query parameter can be set to either file, folder or web_link.

Filter by metadata

It is possible to filter search results by their associated metadata, or even perform entire searches based on only the metadata, all using the mdfilters query parameter.

Learn more about metadata filters

Filter by owner

By default, a search returns all the items the authenticated user has access to, regardless of who owns the items. To narrow down to only items owned by specific users, use the owner_user_ids query parameter.

Filter by parent folder

By default, a search returns all the items in any folder the user has access to. To narrow down the results to only items in specific folders, use the ancestor_folder_ids query parameter.
Last modified on June 19, 2026